package cn.estsh.i3plus.pojo.wms.repository;

import java.util.List;

import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import cn.estsh.i3plus.pojo.base.jpa.dao.BaseRepository;
import cn.estsh.i3plus.pojo.wms.bean.WmsHealthQueryRecord;

@Repository
public interface WmsHealthQueryRecordRepository extends BaseRepository<WmsHealthQueryRecord, Long> {

	@Query("from WmsHealthQueryRecord where indicator_code = :indicatorCode and query_time >= :queryTime")
	List<WmsHealthQueryRecord> queryByCodeAndTime(String indicatorCode, Long queryTime);

	@Query("from WmsHealthQueryRecord where indicator_code = :indicatorCode and query_time between :startTime and :endTime")
	List<WmsHealthQueryRecord> queryByCodeBetweenTime(String indicatorCode, Long startTime, Long endTime);

}
